ManagementException (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.management, class: ManagementException

Package org.apache.geode.management

# Class ManagementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.geode.GemFireException
org.apache.geode.management.ManagementException

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `AlreadyRunningException`

public class ManagementException extends GemFireException
A `ManagementException` is a general exception that may be thrown when any administration or monitoring operation on a GemFire component fails. Various management and monitoring exceptions are wrapped in `ManagementException`s.

Since:
  GemFire 7.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ManagementException()`
  Constructs a new exception with a `null` detail message.
  `ManagementException(String message)`
  Constructs a new exception with the specified detail message.
  `ManagementException(String message, Throwable cause)`
  Constructs a new ManagementException with the specified detail message and cause.
  `ManagementException(Throwable cause)`
  Constructs a new ManagementException by wrapping the specified cause.

- ## Method Summary

  ### Methods inherited from class org.apache.geode.GemFireException

  `getRootCause`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ManagementException

    public ManagementException()
    Constructs a new exception with a `null` detail message. The cause is not initialized, and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.

  - ### ManagementException

    public ManagementException(String message)
    Constructs a new exception with the specified detail message. The cause is not initialized and may subsequently be initialized by a call to `Throwable.initCause(java.lang.Throwable)`.
    Parameters:
      `message` - The detail message.

  - ### ManagementException

    public ManagementException(String message, Throwable cause)
    Constructs a new ManagementException with the specified detail message and cause.

    Note that the detail message associated with `cause` is not automatically incorporated in this runtime exception's detail message.

    Parameters:
      `message` - The detail message.
      `cause` - The cause of this exception or `null` if the cause is unknown.

  - ### ManagementException

    public ManagementException(Throwable cause)
    Constructs a new ManagementException by wrapping the specified cause. The detail for this exception will be null if the cause is null or cause.toString() if a cause is provided.
    Parameters:
      `cause` - The cause of this exception or `null` if the cause is unknown.